package com.jsh.erp.datasource.entities;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品批次表实体类
 */
@Data
public class MaterialBatch {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("商品id")
    private Long materialId;

    @ApiModelProperty("商品单位")
    private String commodityUnit;

    @ApiModelProperty("商品属性")
    private String sku;

    @ApiModelProperty("采购价格")
    private BigDecimal purchaseDecimal;

    @ApiModelProperty("零售价格")
    private BigDecimal commodityDecimal;

    @ApiModelProperty("销售价格")
    private BigDecimal wholesaleDecimal;

    @ApiModelProperty("最低售价")
    private BigDecimal lowDecimal;

    @ApiModelProperty("是否为默认单位，1是，0否")
    private String defaultFlag;

    @ApiModelProperty("创建日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("创建人编码")
    private String createSerial;

    @ApiModelProperty("更新人编码")
    private String updateSerial;

    @ApiModelProperty("更新时间戳")
    private Date updateTime;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

    @ApiModelProperty("保质期天数")
    private Integer expiryNum;

    @ApiModelProperty("供应商id")
    private Long supplierId;

    @ApiModelProperty("商品条码")
    private String barCode;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("库存")
    private BigDecimal inventory;

    @ApiModelProperty("仓库id")
    private Long depotId;

    @ApiModelProperty("仓位货架")
    private String position;

    @ApiModelProperty("单据id")
    private Long depotItemId;

}
